Package com.xebialabs.xlrelease.domain.events

## Class TaskFailingAction

- java.lang.Object
- - com.xebialabs.xlrelease.domain.events.TaskFailingAction

- All Implemented Interfaces:
    `InterceptableAction`, `XLReleaseEvent`, `java.io.Serializable`, `scala.Equals`, `scala.Product`

      public class TaskFailingAction
      extends java.lang.Object
      implements InterceptableAction, scala.Product, java.io.Serializable

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `TaskFailingAction​(java.lang.String taskId, java.lang.String reason)` |

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static TaskFailingAction` | `apply​(java.lang.String taskId, java.lang.String reason)` |
    `boolean` | `canEqual​(java.lang.Object x$1)` |
    `TaskFailingAction` | `copy​(java.lang.String taskId, java.lang.String reason)` |
    `java.lang.String` | `copy$default$1()` |
    `java.lang.String` | `copy$default$2()` |
    `boolean` | `equals​(java.lang.Object x$1)` |
    `int` | `hashCode()` |
    `int` | `productArity()` |
    `java.lang.Object` | `productElement​(int x$1)` |
    `java.lang.String` | `productElementName​(int x$1)` |
    `scala.collection.Iterator<java.lang.Object>` | `productIterator()` |
    `java.lang.String` | `productPrefix()` |
    `java.lang.String` | `reason()` |
    `java.lang.String` | `taskId()` |
    `java.lang.String` | `toString()` |
    `static scala.Option<scala.Tuple2<java.lang.String,​java.lang.String>>` | `unapply​(TaskFailingAction x$0)` |
    `java.lang.String` | `username()` |
    `void` | `username_$eq​(java.lang.String x$1)` |

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface scala.Product

      `productElementNames`

    - ### Methods inherited from interface com.xebialabs.xlrelease.domain.events.XLReleaseEvent

      `timeMs, timestamp`

- - ### Constructor Detail

    - #### TaskFailingAction

          public TaskFailingAction​(java.lang.String taskId,
                                   java.lang.String reason)

  - ### Method Detail

    - #### apply

          public static TaskFailingAction apply​(java.lang.String taskId,
                                                java.lang.String reason)

    - #### unapply

          public static scala.Option<scala.Tuple2<java.lang.String,​java.lang.String>> unapply​(TaskFailingAction x$0)

    - #### username

          public java.lang.String username()

      Specified by:
        `username` in interface `XLReleaseEvent`

    - #### username_$eq

          public void username_$eq​(java.lang.String x$1)

      Specified by:
        `username_$eq` in interface `XLReleaseEvent`

    - #### taskId

          public java.lang.String taskId()

    - #### reason

          public java.lang.String reason()

    - #### copy

          public TaskFailingAction copy​(java.lang.String taskId,
                                        java.lang.String reason)

    - #### copy$default$1

          public java.lang.String copy$default$1()

    - #### copy$default$2

          public java.lang.String copy$default$2()

    - #### productPrefix

          public java.lang.String productPrefix()

      Specified by:
        `productPrefix` in interface `scala.Product`

    - #### productArity

          public int productArity()

      Specified by:
        `productArity` in interface `scala.Product`

    - #### productElement

          public java.lang.Object productElement​(int x$1)

      Specified by:
        `productElement` in interface `scala.Product`

    - #### productIterator

          public scala.collection.Iterator<java.lang.Object> productIterator()

      Specified by:
        `productIterator` in interface `scala.Product`

    - #### canEqual

          public boolean canEqual​(java.lang.Object x$1)

      Specified by:
        `canEqual` in interface `scala.Equals`

    - #### productElementName

          public java.lang.String productElementName​(int x$1)

      Specified by:
        `productElementName` in interface `scala.Product`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `java.lang.Object`

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

    - #### equals

          public boolean equals​(java.lang.Object x$1)

      Specified by:
        `equals` in interface `scala.Equals`
      Overrides:
        `equals` in class `java.lang.Object`